[user]
    name = Emmanuel Bouthenot
    email = kolter@openics.org
    signingkey = 929D42C3

[alias]
    br = branch
    st = status
    s = status --untracked-files=no
    sa = status --untracked-files=all
    d = diff
    gd = difftool
    dh = diff HEAD
    dc = diff --cached
    ci = commit
    co = checkout
    l = ! export LESS=-R GIT_PAGER=less && git log --graph --decorate --pretty=format:\"%h %C(magenta)%ci%Creset%C(yellow)%d %Creset%s %C(cyan)%cn <%cE>\"
    ls = ls-files
    ign = ls-files -o -i --exclude-standard
    unstage = reset HEAD
    sinit = ! git submodule init && git submodule update && git submodule foreach 'git checkout master'
    spull = submodule foreach 'git pull'

[color]
    ui = auto
    pager = false

[color "diff"]
    meta = green
    frag = yellow
    old = magenta
    new = cyan

[color "status"]
    header = bold blue
    added  = green
    changed = bold red
    untracked = white

[diff]
    tool = vimdiff

[merge]
    tool = vimdiff

[pager]
    diff = true

# git.debian.org specifics
[url "git://anonscm.debian.org"]
    insteadOf = git://git.debian.org
[url "ssh://git.debian.org/git"]
    pushinsteadof = git://git.debian.org
